> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/documents/purge-document.md).

# Purge Document

## POST /api/Public/PurgeDocument/purge

> Purge

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"PurgeDocument"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.PurgeDocumentRequest":{"required":["workflowId"],"type":"object","properties":{"workflowId":{"minimum":1,"type":"integer","format":"int64"},"referenceNo":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/PurgeDocument/purge":{"post":{"tags":["PurgeDocument"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.PurgeDocumentRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Purge","operationId":"post_PurgeDocument_purge"}}}}
```
